<form class="{{cssClass}} flexcol" autocomplete="off">

    {{!-- NPC Sheet Header --}}
    <header class="sheet-header flexrow">
        <img class="profile" src="{{actor.img}}" title="{{actor.name}}" data-edit="img"/>

        <section class="header-details flexrow">
            {{> "systems/dnd5e/templates/actors/parts/actor-warnings.html"}}

            <h1 class="charname">
                <input name="name" type="text" value="{{actor.name}}" placeholder="{{ localize 'DND5E.Name' }}"/>
            </h1>

            <aside class="header-exp flexcol">
                <div class="cr">
                    <label>{{ localize "DND5E.AbbreviationCR" }}</label>
                    <input name="data.details.cr" type="text" value="{{labels.cr}}" placeholder="1"/>
                </div>
                <div class="experience">
                    <span>{{data.details.xp.value}} XP</span>
                </div>
                <div class="proficiency">
                    <span>
                        {{ localize "DND5E.Proficiency" }} {{numberFormat data.attributes.prof decimals=0 sign=true}}
                    </span>
                </div>
            </aside>

            {{!-- Character Summary --}}
            <ul class="summary flexrow">
                <li>
                    <span>{{lookup config.actorSizes data.traits.size}}</span>
                </li>
                <li>
                    <input type="text" name="data.details.alignment" value="{{data.details.alignment}}" placeholder="{{ localize 'DND5E.Alignment' }}"/>
                </li>
                <li class="creature-type">
                    <span title="{{labels.type}}">{{labels.type}}</span>
                    <a class="config-button" data-action="type" title="{{localize 'DND5E.CreatureTypeConfig'}}"><i class="fas fa-cog"></i></a>
                </li>
                <li>
                    <input type="text" name="data.details.source" value="{{data.details.source}}" placeholder="{{ localize 'DND5E.Source' }}"/>
                </li>
            </ul>

            {{!-- Header Attributes --}}
            <ul class="attributes flexrow">
                <li class="attribute health">
                    <h4 class="attribute-name box-title rollable">{{ localize "DND5E.HitPoints" }}</h4>
                    <div class="attribute-value multiple">
                        <input name="data.attributes.hp.value" type="text" value="{{data.attributes.hp.value}}" placeholder="10" data-dtype="Number"/>
                        <span class="sep"> / </span>
                        <input name="data.attributes.hp.max" type="text" value="{{data.attributes.hp.max}}" placeholder="10" data-dtype="Number"/>
                    </div>
                    <footer class="attribute-footer">
                        <input name="data.attributes.hp.formula" class="hpformula" type="text" placeholder="{{ localize 'DND5E.HPFormula' }}"
                               value="{{data.attributes.hp.formula}}"/>
                    </footer>
                </li>

                <li class="attribute armor">
                    <h4 class="attribute-name box-title">
                        {{ localize "DND5E.ArmorClass" }}
                        <a class="config-button" data-action="armor" title="{{localize 'DND5E.ArmorConfig'}}"><i class="fas fa-cog"></i></a>
                    </h4>
                    <div class="attribute-value attributable" data-property="attributes.ac">
                        <span>{{data.attributes.ac.value}}</span>
                    </div>
                    <footer class="attribute-footer">
                        <span>{{labels.armorType}}</span>
                    </footer>
                </li>

                <li class="attribute movement">
                    <h4 class="attribute-name box-title">
                        {{ localize "DND5E.Movement" }}
                        <a class="config-button" data-action="movement" title="{{localize 'DND5E.MovementConfig'}}"><i class="fas fa-cog"></i></a>
                    </h4>
                    <div class="attribute-value">
                        <span>{{movement.primary}}</span>
                    </div>
                    <footer class="attribute-footer">
                        <span>{{movement.special}}</span>
                    </footer>
                </li>
            </ul>
        </section>
    </header>

    {{!-- NPC Sheet Navigation --}}
    <nav class="sheet-navigation tabs" data-group="primary">
        <a class="item active" data-tab="attributes">{{ localize "DND5E.Attributes" }}</a>
        <a class="item" data-tab="features">{{ localize "DND5E.Features" }}</a>
        <a class="item" data-tab="spellbook">{{ localize "DND5E.Spellbook" }}</a>
        <a class="item" data-tab="effects">{{ localize "DND5E.Effects" }}</a>
        <a class="item" data-tab="biography">{{ localize "DND5E.Biography" }}</a>
    </nav>

    {{!-- NPC Sheet Body --}}
    <section class="sheet-body">
        <div class="tab attributes flexrow" data-group="primary" data-tab="attributes">

            {{!-- Ability Scores --}}
            <ul class="ability-scores flexrow">
            {{#each data.abilities as |ability id|}}
                <li class="ability {{#if ability.proficient}}proficient{{/if}}" data-ability="{{id}}">
                    <h4 class="ability-name box-title rollable">{{ability.label}}</h4>
                    <input class="ability-score" name="data.abilities.{{id}}.value" type="number" value="{{ability.value}}" placeholder="10"/>
                    <div class="ability-modifiers flexrow">
                        <span class="ability-mod" title="{{ localize 'DND5E.Modifier' }}">{{numberFormat ability.mod decimals=0 sign=true}}</span>
                        <input type="hidden" name="data.abilities.{{id}}.proficient" value="{{ability.baseProf}}" data-dtype="Number"/>
                        <a class="proficiency-toggle ability-proficiency" title="{{ localize 'DND5E.Proficiency' }}">{{{ability.icon}}}</a>
                        <span class="ability-save" title="{{ localize 'DND5E.SavingThrow' }}">{{numberFormat ability.save decimals=0 sign=true}}</span>
                    </div>
                </li>
            {{/each}}
            </ul>

            {{!-- Skills --}}
            <ul class="skills-list">
            {{#each config.skills as |label s|}}
            {{#with (lookup ../data.skills s) as |skill|}}
                <li class="skill flexrow {{#if skill.value}}proficient{{/if}}" data-skill="{{s}}">
                    <input type="hidden" name="data.skills.{{s}}.value" value="{{skill.baseValue}}" data-dtype="Number"/>
                    <a class="proficiency-toggle skill-proficiency" title="{{skill.hover}}">{{{skill.icon}}}</a>
                    <h4 class="skill-name rollable">{{label}}</h4>
                    <span class="skill-ability">{{skill.ability}}</span>
                    <span class="skill-mod">{{numberFormat skill.total decimals=0 sign=true}}</span>
                    <span class="skill-passive">({{skill.passive}})</span>
                </li>
            {{/with}}
            {{/each}}
            </ul>

            <section class="center-pane flexcol">

                {{!-- Legendary Actions --}}
                <div class="counters">
                    <div class="counter flexrow legendary">
                        <h4>{{ localize "DND5E.LegAct" }}</h4>
                        <div class="counter-value">
                            <input name="data.resources.legact.value" type="number" value="{{data.resources.legact.value}}" placeholder="0"/>
                            <span class="sep">/</span>
                            <input name="data.resources.legact.max" type="number" value="{{data.resources.legact.max}}" placeholder="0"/>
                        </div>
                    </div>
                    <div class="counter flexrow legendary">
                        <h4>{{ localize "DND5E.LegRes" }}</h4>
                        <div class="counter-value">
                            <input name="data.resources.legres.value" type="number" value="{{data.resources.legres.value}}" placeholder="0"/>
                            <span class="sep">/</span>
                            <input name="data.resources.legres.max" type="number" value="{{data.resources.legres.max}}" placeholder="0"/>
                        </div>
                    </div>
                    <div class="counter flexrow lair">
                        <h4>{{ localize "DND5E.LairAct" }}</h4>
                        <div class="counter-value">
                            <input name="data.resources.lair.value" type="checkbox" value="{{data.resources.lair.value}}"
                                   data-dtype="Boolean" {{checked data.resources.lair.value}}/>
                            <input name="data.resources.lair.initiative" type="number" value="{{data.resources.lair.initiative}}" placeholder="20"/>
                        </div>
                    </div>
                </div>

                {{!-- Traits --}}
                {{> "systems/dnd5e/templates/actors/parts/actor-traits.html"}}
            </section>
        </div>

        {{!-- Features Tab --}}
        <div class="tab features flexcol" data-group="primary" data-tab="features">
            {{> "systems/dnd5e/templates/actors/parts/actor-features.html" sections=features}}
        </div>

        {{!-- Spellbook Tab --}}
        <div class="tab spellbook flexcol" data-group="primary" data-tab="spellbook">
            {{> "systems/dnd5e/templates/actors/parts/actor-spellbook.html"}}
        </div>

        {{!-- Effects Tab --}}
        <div class="tab effects flexcol" data-group="primary" data-tab="effects">
            {{> "systems/dnd5e/templates/actors/parts/active-effects.html"}}
        </div>

        {{!-- Biography Tab --}}
        <div class="tab biography flexcol" data-group="primary" data-tab="biography">
            {{editor content=data.details.biography.value target="data.details.biography.value" button=true owner=owner editable=editable rollData=rollData}}
        </div>
    </section>
</form>
